petsc-3.4.2 2013-07-02

# PetscStageLogGetClassPerfLog

This function returns the ClassPerfLog for the given stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetClassPerfLog(PetscStageLog stageLog, int stage, PetscClassPerfLog *classLog)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage

### Output Parameter

classLog -The ClassPerfLog

### Keywords

log, stage

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages